<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Assign_Trailer_To_Group StructType
 * @subpackage Structs
 */
class Assign_Trailer_To_Group extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The AssignVehicleToGroup
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\AssignVehicleToGroup
     */
    public $AssignVehicleToGroup;
    /**
     * Constructor method for Assign_Trailer_To_Group
     * @uses Assign_Trailer_To_Group::setLogin()
     * @uses Assign_Trailer_To_Group::setAssignVehicleToGroup()
     * @param \StructType\Login $login
     * @param \StructType\AssignVehicleToGroup $assignVehicleToGroup
     */
    public function __construct(\StructType\Login $login = null, \StructType\AssignVehicleToGroup $assignVehicleToGroup = null)
    {
        $this
            ->setLogin($login)
            ->setAssignVehicleToGroup($assignVehicleToGroup);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Assign_Trailer_To_Group
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get AssignVehicleToGroup value
     * @return \StructType\AssignVehicleToGroup|null
     */
    public function getAssignVehicleToGroup()
    {
        return $this->AssignVehicleToGroup;
    }
    /**
     * Set AssignVehicleToGroup value
     * @param \StructType\AssignVehicleToGroup $assignVehicleToGroup
     * @return \StructType\Assign_Trailer_To_Group
     */
    public function setAssignVehicleToGroup(\StructType\AssignVehicleToGroup $assignVehicleToGroup = null)
    {
        $this->AssignVehicleToGroup = $assignVehicleToGroup;
        return $this;
    }
}
